## golang-github-henrydcase-nobs 0.1%2Bgit20200305.7d891c7

=== debian/changelog ===
golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-6) unstable; urgency=medium

  * debian/patches:
    - Add patch to fix ftbfs on i386 (Closes: #1103076).

 -- Roger Shimizu <rosh@debian.org>  Mon, 05 May 2025 01:42:13 -0700

golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-5) unstable; urgency=medium

  * debian/control:
    - Add Multi-Arch: foreign
  * debian/watch:
    - Update to adapt current version pattern.
  * debian/patch:
    - Add patch 02 to remove import dh/sidh/internal/arith which does
      not exist.
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 20 Dec 2020 01:19:29 +0900

golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-4) unstable; urgency=medium

  * debian/watch:
    - Get upstream version by SHA-1.

 -- Roger Shimizu <rosh@debian.org>  Fri, 10 Jul 2020 23:15:22 +0900

golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-3) unstable; urgency=medium

  * debian/patches:
    - Add patch 0001 to update python shebang (Closes: #963038).
  * debian/control:
    - Remove python2 dependency.

 -- Roger Shimizu <rosh@debian.org>  Sat, 20 Jun 2020 00:50:12 +0900

golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-2) unstable; urgency=medium

  * debian/watch:
    - Make uscan result filename same as orig tarball
      git-buildpackage needs.

 -- Roger Shimizu <rosh@debian.org>  Thu, 18 Jun 2020 01:11:26 +0900

golang-github-henrydcase-nobs (0.1+git20200305.7d891c7-1) unstable; urgency=medium

  * Initial release (Closes: #959667)

 -- Roger Shimizu <rosh@debian.org>  Sat, 02 May 2020 20:33:21 +0900

## golang-github-henrydcase-nobs 0.1+git20200305.7d891c7

=== Makefile ===
# I'm sure there is better way. But I would need to find it first
MK_FILE_PATH = $(lastword $(MAKEFILE_LIST))
PRJ_DIR      = $(abspath $(dir $(MK_FILE_PATH)))
GO           ?= go
VENDOR_DIR   = tls_vendor
OPTS         ?= -v
NOASM        ?=
TEST_PATH    ?= ./...
GOCACHE      ?= off
BENCH_OPTS   ?= -v -bench=. -run="^_" -benchmem
TEST_PATH    ?= ./...
DBG 		 = 1
OPTS_ENV	 =

ifeq ($(NOASM),1)
	OPTS+=$(OPTS_TAGS)
endif

ifeq ($(PPROF),1)
	BENCH_OPTS+= -cpuprofile=cpu.out -memprofile=mem0.out
endif

ifeq ($(DBG),1)
	DBG_FLAGS+= #-m 	# escape analysis
	DBG_FLAGS+= -l	# no inline
	DBG_FLAGS+= -N	# debug symbols
	#OPTS+=-gcflags=all="$(DBG_FLAGS)"
	OPTS+=-gcflags "$(DBG_FLAGS)"
	OPTS_ENV+= GOTRACEBACK=crash	# enable core dumps
endif

test: 
	$(OPTS_ENV) $(GO) test $(OPTS) $(TEST_PATH)

test_csidh: clean make_dirs $(addprefix prep-,$(TARGETS))
	cd $(GOPATH_LOCAL); $(OPTS_ENV) GOPATH=$(GOPATH_LOCAL) go test $(OPTS) github.com/henrydcase/nobs/dh/csidh

test_csidh_bin: clean make_dirs $(addprefix prep-,$(TARGETS))
	cd $(GOPATH_LOCAL); $(OPTS_ENV) GOPATH=$(GOPATH_LOCAL) go test -c $(OPTS) github.com/henrydcase/nobs/dh/csidh

cover:
	$(GO) test \
		-coverprofile=coverage.txt -covermode=atomic $(OPTS) $(TEST_PATH)

bench:
	$(GO) test $(BENCH_OPTS) $(TEST_PATH)

bench_csidh: clean $(addprefix prep-,$(TARGETS))
	cd $(GOPATH_LOCAL); GOCACHE=$(GOCACHE) GOPATH=$(GOPATH_LOCAL) $(GO) test \
		$(BENCH_OPTS) github.com/henrydcase/nobs/dh/csidh
		
clean:
	rm -rf $(VENDOR_DIR)
	rm -rf coverage.txt

vendor-sidh-for-tls: clean
	mkdir -p $(VENDOR_DIR)/github_com/henrydcase/nobs/
	rsync -a . $(VENDOR_DIR)/github_com/henrydcase/nobs/ --exclude=$(VENDOR_DIR) --exclude=.git --exclude=.travis.yml --exclude=README.md
	find $(VENDOR_DIR) -type f -print0 -name "*.go" | xargs -0 sed -i 's/github\.com/github_com/g'

pprof-cpu:
	$(GO) tool pprof cpu.out

pprof-mem:
	$(GO) tool pprof mem0.out

=== debian/control ===
Source: golang-github-henrydcase-nobs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Roger Shimizu <rosh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-golang-x-sys-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-henrydcase-nobs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-henrydcase-nobs.git
Homepage: https://github.com/henrydcase/nobs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/henrydcase/nobs

Package: golang-github-henrydcase-nobs-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-golang-x-sys-dev,
 python3:any
Description: NOBS cryptographic primitives library in golang
 NOBS Cryptographic implementation of quantum-resistant primitives
 in Go.
 .
 Supported cryptographic primitives:
  * DH: CSIDH, and SIDH
  * Hash: SHA3, SHAKE, and SM3
  * KEM: SIKE

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/henrydcase/nobs.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-henrydcase-nobs_$1.orig.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/henrydcase/nobs/tags .*/v?(\d\S*)\.tar\.gz debian
